Compare Images Operations
Comparison Operations

Compare the pixels of two images and create a binary result image. More...

## Functions

NppStatus | nppiCompare_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 1 channel 8-bit unsigned char image compare. More...
NppStatus | nppiCompare_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 3 channel 8-bit unsigned char image compare. More...
NppStatus | nppiCompare_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 8-bit unsigned char image compare. More...
NppStatus | nppiCompare_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 8-bit unsigned char image compare, not affecting Alpha. More...
NppStatus | nppiCompare_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 1 channel 16-bit unsigned short image compare. More...
NppStatus | nppiCompare_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 3 channel 16-bit unsigned short image compare. More...
NppStatus | nppiCompare_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 16-bit unsigned short image compare. More...
NppStatus | nppiCompare_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 16-bit unsigned short image compare, not affecting Alpha. More...
NppStatus | nppiCompare_16s_C1R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 1 channel 16-bit signed short image compare. More...
NppStatus | nppiCompare_16s_C3R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 3 channel 16-bit signed short image compare. More...
NppStatus | nppiCompare_16s_C4R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 16-bit signed short image compare. More...
NppStatus | nppiCompare_16s_AC4R (const Npp16s *pSrc1, int nSrc1Step, const Npp16s *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 16-bit signed short image compare, not affecting Alpha. More...
NppStatus | nppiCompare_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 1 channel 32-bit floating point image compare. More...
NppStatus | nppiCompare_32f_C3R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 3 channel 32-bit floating point image compare. More...
NppStatus | nppiCompare_32f_C4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 32-bit floating point image compare. More...
NppStatus | nppiCompare_32f_AC4R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppCmpOp eComparisonOperation)
| 4 channel 32-bit signed floating point compare, not affecting Alpha. More...

## Detailed Description

Compare the pixels of two images and create a binary result image.

In case of multi-channel image types, the condition must be fulfilled for all channels, otherwise the comparison is considered false. The "binary" result image is of type 8u_C1. False is represented by 0, true by NPP_MAX_8U.

### Common parameters for nppiCompare functions include:

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eComparisonOperation | Specifies the comparison operation to be used in the pixel comparison.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCompare_16s_AC4R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 16-bit signed short image compare, not affecting Alpha.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16s_C1R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

1 channel 16-bit signed short image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16s_C3R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

3 channel 16-bit signed short image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16s_C4R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 16-bit signed short image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 16-bit unsigned short image compare, not affecting Alpha.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

1 channel 16-bit unsigned short image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

3 channel 16-bit unsigned short image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 16-bit unsigned short image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_32f_AC4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 32-bit signed floating point compare, not affecting Alpha.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

1 channel 32-bit floating point image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_32f_C3R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

3 channel 32-bit floating point image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_32f_C4R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 32-bit floating point image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 8-bit unsigned char image compare, not affecting Alpha.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

1 channel 8-bit unsigned char image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

3 channel 8-bit unsigned char image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

NppStatus nppiCompare_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppCmpOp | eComparisonOperation
| ) |  |

4 channel 8-bit unsigned char image compare.

Compare pSrc1's pixels with corresponding pixels in pSrc2.

For common parameter descriptions, see Common parameters for nppiCompare functions.

Copyright © 2009-2017 NVIDIA Corporation